> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/chat/create-chat-link.md).

# Create chat link

## Create a new Link

> Creates a new link from the request payload.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.9.245-gd8302a06"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/helpdesk/chats/{chatId}/links":{"post":{"tags":["Link"],"summary":"Create a new Link","description":"Creates a new link from the request payload.","parameters":[{"name":"chatId","in":"path","description":"The chat ID.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Representation of the Link business object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatLink"}},"text/json":{"schema":{"$ref":"#/components/schemas/ChatLink"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/ChatLink"}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChatLink"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}},"components":{"schemas":{"ChatLink":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ChatLinkAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"message":{"allOf":[{"$ref":"#/components/schemas/ChatMessage"}],"description":"Represents the message this link belongs to."},"chat":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatRef"}]},"uri":{"type":"string","description":"Represents the URI for link.","nullable":true},"objectId":{"type":"string","description":"Represents the ObjectId for link.","nullable":true}},"additionalProperties":false},"ChatLinkAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ChatMessage":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ChatMessageAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"revision":{"type":"integer","format":"int32"},"chat":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatRef"}]},"sender":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatParticipantRef"}]},"content":{"type":"string","description":"Content of the chat message."},"visibility":{"allOf":[{"$ref":"#/components/schemas/MessageVisibility"}],"description":"Visibility of the chat message, indicating whether it is public or private."},"isDeleted":{"type":"boolean","description":"Set to true when the message should be considered deleted"},"links":{"type":"array","items":{"$ref":"#/components/schemas/ChatLinkRef"}},"identity":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]},"replyTo":{"type":"object","allOf":[{"$ref":"#/components/schemas/ChatMessageRef"}]}},"additionalProperties":false},"ChatMessageAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"deleted":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"madePublic":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"madePrivate":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"ChatRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/ChatType"}],"description":"Represents the type of chat, indicating whether it is a direct message, group chat, channel, or support case."}},"additionalProperties":false},"ChatType":{"enum":["Direct","Group","Channel","Case"],"type":"string"},"ChatParticipantRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"muted":{"type":"boolean","description":"Flag indicates whether participant should be notified of new messages in the chat."},"status":{"allOf":[{"$ref":"#/components/schemas/ParticipantStatus"}],"description":"Represents the status of the chat participant, indicating whether they are active, suspended, or exited."}},"additionalProperties":false},"ParticipantStatus":{"enum":["Active","Exited","Deactivated"],"type":"string"},"MessageVisibility":{"enum":["Public","Private"],"type":"string"},"ChatLinkRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"message":{"allOf":[{"$ref":"#/components/schemas/ChatMessage"}],"description":"Represents the message this link belongs to."},"uri":{"type":"string","description":"Represents the URI for link.","nullable":true},"objectId":{"type":"string","description":"Represents the ObjectId for link.","nullable":true}},"additionalProperties":false},"ChatMessageRef":{"type":"object","properties":{"id":{"type":"string"},"revision":{"type":"integer","format":"int32"},"content":{"type":"string","description":"Content of the chat message."},"visibility":{"allOf":[{"$ref":"#/components/schemas/MessageVisibility"}],"description":"Visibility of the chat message, indicating whether it is public or private."},"isDeleted":{"type":"boolean","description":"Set to true when the message should be considered deleted"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/helpdesk-api/chat/create-chat-link.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
